<template>
    <section class="section">
        <template v-if="title">
            <h2 class="section__title">{{ title }}</h2>
        </template>
        <template v-if="description">
            <p class="section__description">{{ description }}</p>
        </template>
        <div class="section__content">
            <slot>Content Not Found.</slot>
        </div>
    </section>
</template>

<script>
export default {
    props: ['title', 'description']
}
</script>

<style>
.section {
    border: 4px solid #303030;
    margin-bottom: 120px;
}

.section:last-child {
    margin-bottom: 0;
}

.section__title {
    margin: 0;
}
</style>
